package psoo.math.geometrie;

@SuppressWarnings("rawtypes")
public abstract class FigurePlan implements Comparable{
	public static final double EPS = 1E-8;
	
	public abstract double aire();
	
	public int compareTo(Object o)
	{
		FigurePlan f = (FigurePlan) o;
		double x = aire() - f.aire();
		if (Math.abs(x) < EPS)
			return 0;
		else return x > 0 ? 1 : -1;
	}
	
}
