package psoo.math.geometrie;

import psoo.math.geometrie.Polygone;
import psoo.math.util.Point;

public class Rectangle extends Polygone {


	public Rectangle(Point origine, double base, double hauteur) {
		double[] x = new double[4];
		double[] y = new double[4];
		x[0] = origine.getX(); y[0] = origine.getY();
		x[1] = origine.getX() + base; y[1] = origine.getY();
		x[2] = x[1]; y[2] = origine.getY() + hauteur;
		x[3] = x[0]; y[3] = y[2];
		construit(x, y);
	}

	public Rectangle(Rectangle r) {
		super(r);
	}
	
	public static void main(String[] args)
	{
		Rectangle r = new Rectangle(new Point(0, 0), 10, 2);
		System.out.println("Rectangle : " + r);
	}
}
