package psoo.math.geometrie;

import psoo.math.util.Point;

public class Disque extends Ellipse {

	public Disque(Point c, double r)
	{
		super(c, r, r);
	}
	
	public Disque(Disque d)
	{
		this(new Point(d.centre), d.r1);
	}
	

	public String toString()
	{
		return "[ centre : " + centre + ", rayon = " + r1 + " ] ";
	}	

	public static void main(String[] args) {
		Disque d0 = new Disque(new Point(0, 0), 1);
		Disque d1 = new Disque(new Point(1, 1), 0.5);
		System.out.println("d0 = " + d0);
		System.out.println("d1 = " + d1);
		System.out.println("surface d0 = " + d0.aire());
		if (d0.compareTo(d1) > 0)
			System.out.println("d0 + gd");


	}
}