package psoo.math.util;

public class Point {

	   public static final double DIMENSION = 2 ;
	   
	   private double x ;
	   private double y ;
	   
	   public Point(){
	      this(0,0) ;
	   }
	   
	   public Point(Point p)
	   {
		   this(p.x, p.y);
	   }
	   
	   public Point(double x0 , double y0){
	      x = x0; 
	      y = y0;
	   }
	   
	   public double getX(){
	      return this.x ;
	   }
	 	   
	   public double getY(){
	      return this.y ;
	   }
	 	   
	   public static double quelleDimension(){
	      return DIMENSION ;
	   }
	   

	   public String toString() {
			return new String("("+ x + ", " + y + ") ");
		}
}
